package com.liquidnet.service.goblin.service.impl;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinBraceletPayResultVo;
import com.liquidnet.service.goblin.param.GoblinBraceletOrderPayParam;
import com.liquidnet.service.goblin.service.IGoblinBraceLetOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class GoblinBraceLetOrderServiceImpl implements IGoblinBraceLetOrderService {



    @Override
    public ResponseDto<GoblinBraceletPayResultVo> checkOrder(GoblinBraceletOrderPayParam data) {

        // 1. 检查商品


        // 2. 计算金额

        // 3. 数据库实体创建

        // 4. 调用斗拱拉起支付

        // 5. 根据响应结构写 redis、mysql

        // 6. 响应数据

        return null;
    }

    @Override
    public ResponseDto<Integer> checkOrderResult(String orderId) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> dougongCallBack() {
        return null;
    }
}
